// java wrapper for vtkSynchronizedTemplates3D object
//

package vtk;
import vtk.*;

public class vtkSynchronizedTemplates3D extends vtkPolyDataSource
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetInput_2(vtkImageData id0);
  public void SetInput(vtkImageData id0)
    { SetInput_2(id0); }

  private native vtkImageData GetInput_3();
  public vtkImageData GetInput()
    { return GetInput_3(); }

  private native int GetMTime_4();
  public int GetMTime()
    { return GetMTime_4(); }

  private native void SetComputeNormals_5(int id0);
  public void SetComputeNormals(int id0)
    { SetComputeNormals_5(id0); }

  private native int GetComputeNormals_6();
  public int GetComputeNormals()
    { return GetComputeNormals_6(); }

  private native void ComputeNormalsOn_7();
  public void ComputeNormalsOn()
    { ComputeNormalsOn_7(); }

  private native void ComputeNormalsOff_8();
  public void ComputeNormalsOff()
    { ComputeNormalsOff_8(); }

  private native void SetComputeGradients_9(int id0);
  public void SetComputeGradients(int id0)
    { SetComputeGradients_9(id0); }

  private native int GetComputeGradients_10();
  public int GetComputeGradients()
    { return GetComputeGradients_10(); }

  private native void ComputeGradientsOn_11();
  public void ComputeGradientsOn()
    { ComputeGradientsOn_11(); }

  private native void ComputeGradientsOff_12();
  public void ComputeGradientsOff()
    { ComputeGradientsOff_12(); }

  private native void SetComputeScalars_13(int id0);
  public void SetComputeScalars(int id0)
    { SetComputeScalars_13(id0); }

  private native int GetComputeScalars_14();
  public int GetComputeScalars()
    { return GetComputeScalars_14(); }

  private native void ComputeScalarsOn_15();
  public void ComputeScalarsOn()
    { ComputeScalarsOn_15(); }

  private native void ComputeScalarsOff_16();
  public void ComputeScalarsOff()
    { ComputeScalarsOff_16(); }

  private native void SetValue_17(int id0,double id1);
  public void SetValue(int id0,double id1)
    { SetValue_17(id0,id1); }

  private native double GetValue_18(int id0);
  public double GetValue(int id0)
    { return GetValue_18(id0); }

  private native void SetNumberOfContours_19(int id0);
  public void SetNumberOfContours(int id0)
    { SetNumberOfContours_19(id0); }

  private native int GetNumberOfContours_20();
  public int GetNumberOfContours()
    { return GetNumberOfContours_20(); }

  private native void GenerateValues_21(int id0,double id1[]);
  public void GenerateValues(int id0,double id1[])
    { GenerateValues_21(id0,id1); }

  private native void GenerateValues_22(int id0,double id1,double id2);
  public void GenerateValues(int id0,double id1,double id2)
    { GenerateValues_22(id0,id1,id2); }

  private native int[]  GetExecuteExtent_23();
  public int[]  GetExecuteExtent()
    { return GetExecuteExtent_23(); }

  private native void SetNumberOfThreads_24(int id0);
  public void SetNumberOfThreads(int id0)
    { SetNumberOfThreads_24(id0); }

  private native int GetNumberOfThreadsMinValue_25();
  public int GetNumberOfThreadsMinValue()
    { return GetNumberOfThreadsMinValue_25(); }

  private native int GetNumberOfThreadsMaxValue_26();
  public int GetNumberOfThreadsMaxValue()
    { return GetNumberOfThreadsMaxValue_26(); }

  private native int GetNumberOfThreads_27();
  public int GetNumberOfThreads()
    { return GetNumberOfThreads_27(); }

  private native void SetInputMemoryLimit_28(int id0);
  public void SetInputMemoryLimit(int id0)
    { SetInputMemoryLimit_28(id0); }

  private native int GetInputMemoryLimit_29();
  public int GetInputMemoryLimit()
    { return GetInputMemoryLimit_29(); }

  private native String GetInputScalarsSelection_30();
  public String GetInputScalarsSelection()
    { return GetInputScalarsSelection_30(); }

  private native void SelectInputScalars_31(String id0);
  public void SelectInputScalars(String id0)
    { SelectInputScalars_31(id0); }

  private native void SetArrayComponent_32(int id0);
  public void SetArrayComponent(int id0)
    { SetArrayComponent_32(id0); }

  private native int GetArrayComponent_33();
  public int GetArrayComponent()
    { return GetArrayComponent_33(); }

  public vtkSynchronizedTemplates3D() { super(); };

  protected vtkSynchronizedTemplates3D(int dmy) { super(dmy); };
  public native void   VTKInit();
  protected native void   VTKCastInit();

}
