
<resourcebundle  name="Default"> 

  <resources name="application.resource.colortables">
    <resource location="%USERPATH%/colortables.xml"/>
    <resource location="%IDVPATH%/colortables.xml"/>
  </resources>

  <resources name="application.resource.choosers">
    <resource location="%IDVPATH%/choosers.xml"/>
  </resources>


  <resources name="application.resource.categories">
    <resource location="%IDVPATH%/categories.xml"/>
  </resources>
 

<!-- Where to find the parameter group files -->
  <resources name="application.resource.paramgroups">
    <resource location="%IDVPATH%/paramgroups.xml"/>
    <resource location="%SITEPATH%/paramgroups.xml"/>
    <resource location="%USERPATH%/paramgroups.xml"/>
  </resources>

<!-- Where to find the specification of the derived quantities -->
  <resources name="application.resource.derived">
    <resource location="%USERPATH%/derived.xml"/>
    <resource location="%IDVPATH%/enduserformulas.xml"/>
    <resource location="%IDVPATH%/derived.xml"/>
  </resources>

<!-- Where to find the parameter to color table files -->
  <resources name="application.resource.paramdefaults">
    <resource location="%USERPATH%/paramdefaults.xml"/>
    <resource location="%SITEPATH%/paramdefaults.xml"/>
    <resource location="%IDVPATH%/paramdefaults.xml"/>
  </resources>

<!-- The list of station table xml files -->
  <resources name="application.resource.locations">
    <resource location="%IDVPATH%/nexradstns.xml"/>
    <resource location="%IDVPATH%/profilerstns.xml"/>
    <resource location="%IDVPATH%/unidata/stn_gempak.xml"/>
    <resource location="%IDVPATH%/unidata/stn_idd2.xml"/>
    <resource location="%IDVPATH%/unidata/stn_idd3.xml"/>
    <resource location="%IDVPATH%/unidata/stn_idd.xml"/>
    <resource location="%IDVPATH%/unidata/stn_mcidas.xml"/>
    <resource location="%IDVPATH%/unidata/stn_netcdf.xml"/>
    <resource location="%IDVPATH%/unidata/stn_suomi.xml"/>
    <resource location="%IDVPATH%/unidata/stn_threddin.xml"/>
    <resource location="%IDVPATH%/unidata/stn_threddus.xml"/>
  </resources>

<!-- The list of help tip xml files -->
  <resources name="application.resource.helptips">
    <resource location="%IDVPATH%/helptips.xml"/>
  </resources>

<!-- The list of projection table xml files -->
  <resources name="application.resource.projections">
    <resource location="%USERPATH%/projections.xml"/>
    <resource location="%IDVPATH%/projections.xml"/>
  </resources>

<!-- Where to find the data source specifications -->
  <resources name="application.resource.datasource">
    <resource location="%IDVPATH%/datasource.xml"/>
  </resources>


<!-- Where to find the specification of the display controls used  -->
  <resources name="application.resource.controls">
    <resource location="%IDVPATH%/controls.xml"/>
  </resources>




<!-- Where to find the parameter aliases -->
  <resources name="application.resource.aliases">
    <resource location="%USERPATH%/aliases.xml"/>
    <resource location="%IDVPATH%/aliases.xml"/>
  </resources>


<!-- Where do we find the default bundle(s) that is(are) used at start up -->
  <resources name="application.resource.bundles">
    <resource location="%USERPATH%/default.xidv"/>
  </resources>



<!-- This points to the xml document(s) that hold the user defined chooser panels -->
  <resources name="application.resource.userchooser">
    <resource location="%USERPATH%/userchooser.xml"/>
  </resources>

<!-- Python libraries  -->
  <resources name="application.resource.jython">
    <resource location="%USERPATH%/default.py"/>
    <resource location="%IDVPATH%/default.py"/>
  </resources>


<!-- Holds an xml specification of the menu bar used in the guis -->
  <resources name="application.resource.menubar">
    <resource location="%IDVPATH%/defaultmenu.xml"/>
  </resources>

  <resources name="application.resource.maps">
    <resource location="/auxdata/maps/maps.xml"/>
  </resources>

  <resources name="application.resource.stationmodels">
    <resource location="%USERPATH%/stationmodels.xml"/>
    <resource location="%IDVPATH%/stationmodels.xml"/>
</resources>

</resourcebundle>


